const {
  program
} = require('commander')
const {
  createProjectAction,
  addComponentAction
} = require('./actions')

const createCommand = () => {
  program
    .command('create <project> [other...]')
    .description('create a empty dir')
    .action(createProjectAction)

  program
  .command('addcpn <name>')
  .description('add vue component 例如: cs addcpn HelloWorld [-d src/components]')
  .action((name) => {
    console.log('haha', program.dest);
    addComponentAction(name, program.dest || 'src/components')
  })
}

module.exports = createCommand