const {
  exec,
  spawn
} = require('child_process')

const commandSpawn = (...argv) => {
  return new Promise((resolve, reject) => {
    const childProcess = spawn(...argv)
    childProcess.stdout.pipe(process.stdout)
    childProcess.stderr.pipe(process.stderr)
    childProcess.on("close", () => {
      resolve()
    })
  })
}

module.exports = {
  commandSpawn
}